<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Internationalization</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Internationalization<br/>
<small>
[<a class="el" href="group__internal_config.html">Configuration</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Files</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="spanish_8php.html">spanish.php</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="english_8php.html">english.php</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="english_8php.html">english.php</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="german_8php.html">german.php</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="greek_8php.html">greek.php</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="languages_8php.html">languages.php</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="spanish_8php.html">spanish.php</a></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#ga09705919fa8acfdfe25b3d8bf78309ac">PHPCAS_LANG_DEFAULT</a> </td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#ga2c56528158e1cfc31f84dd03b3ef3464">CASClient::getLang</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#gae6d54280d83248f1b123b91aae12f944">CASClient::getString</a> ($str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#gad9e3665f38b85df23d2526e259bbf59a">CASClient::setLang</a> ($lang)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#ga1895c3f377e0b35564a46e897155cd69">CASClient::$_lang</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#gab8f7d2cc01562b5bc7520d1d501d8796">CASClient::$_strings</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>To add a new language:</p>
<ul>
<li>1. define a new constant PHPCAS_LANG_XXXXXX in CAS/CAS.php</li>
<li>2. copy any file from CAS/languages to CAS/languages/XXXXXX.php</li>
<li>3. Make the translations </li>
</ul>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga09705919fa8acfdfe25b3d8bf78309ac"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_DEFAULT" ref="ga09705919fa8acfdfe25b3d8bf78309ac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__internal_lang.html#ga09705919fa8acfdfe25b3d8bf78309ac">PHPCAS_LANG_DEFAULT</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="classphp_c_a_s.html">phpCAS</a> default language (when <a class="el" href="group__public_lang.html#ga1bcf4b4f6cb5d5a969c0ebd47c0aa108">phpCAS::setLang()</a> is not used) </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga2c56528158e1cfc31f84dd03b3ef3464"></a><!-- doxytag: member="CASClient::getLang" ref="ga2c56528158e1cfc31f84dd03b3ef3464" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getLang </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the language used by <a class="el" href="classphp_c_a_s.html">phpCAS</a>.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a string representing the language </dd></dl>

</div>
</div>
<a class="anchor" id="gae6d54280d83248f1b123b91aae12f944"></a><!-- doxytag: member="CASClient::getString" ref="gae6d54280d83248f1b123b91aae12f944" args="($str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getString </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns a string depending on the language.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$str</em>&nbsp;</td><td>the index of the string in $_string.</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>the string corresponding to $index in $string. </dd></dl>

</div>
</div>
<a class="anchor" id="gad9e3665f38b85df23d2526e259bbf59a"></a><!-- doxytag: member="CASClient::setLang" ref="gad9e3665f38b85df23d2526e259bbf59a" args="($lang)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setLang </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>lang</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to set the language used by <a class="el" href="classphp_c_a_s.html">phpCAS</a>. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Can be called only once.</dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$lang</em>&nbsp;</td><td>a string representing the language.</td></tr>
  </table>
  </dd>
</dl>
<dl class="see"><dt><b>See also:</b></dt><dd>CAS_LANG_FRENCH, CAS_LANG_ENGLISH </dd></dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga1895c3f377e0b35564a46e897155cd69"></a><!-- doxytag: member="CASClient::$_lang" ref="ga1895c3f377e0b35564a46e897155cd69" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_lang<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>A string corresponding to the language used by <a class="el" href="classphp_c_a_s.html">phpCAS</a>. Written by <a class="el" href="group__internal_lang.html#gad9e3665f38b85df23d2526e259bbf59a">CASClient::setLang()</a>, read by <a class="el" href="group__internal_lang.html#ga2c56528158e1cfc31f84dd03b3ef3464">CASClient::getLang()</a>.</p>
<dl class="note"><dt><b>Note:</b></dt><dd>debugging information is always in english (debug purposes only).</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="spanish_8php.html#a3e2715c2e334fb91d34437e4ff025f1f">CASClient::_strings</a>, <a class="el" href="group__internal_lang.html#gae6d54280d83248f1b123b91aae12f944">CASClient::getString()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gab8f7d2cc01562b5bc7520d1d501d8796"></a><!-- doxytag: member="CASClient::$_strings" ref="gab8f7d2cc01562b5bc7520d1d501d8796" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$<a class="el" href="spanish_8php.html#a3e2715c2e334fb91d34437e4ff025f1f">_strings</a><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>array containing the strings used by <a class="el" href="classphp_c_a_s.html">phpCAS</a>. Written by <a class="el" href="group__internal_lang.html#gad9e3665f38b85df23d2526e259bbf59a">CASClient::setLang()</a>, read by <a class="el" href="group__internal_lang.html#gae6d54280d83248f1b123b91aae12f944">CASClient::getString()</a> and used by <a class="el" href="group__internal_lang.html#gad9e3665f38b85df23d2526e259bbf59a">CASClient::setLang()</a>.</p>
<dl class="note"><dt><b>Note:</b></dt><dd>This array is filled by instructions in CAS/languages/&lt;$this-&gt;_lang&gt;.php</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd>CASClient::_lang, <a class="el" href="group__internal_lang.html#gae6d54280d83248f1b123b91aae12f944">CASClient::getString()</a>, <a class="el" href="group__internal_lang.html#gad9e3665f38b85df23d2526e259bbf59a">CASClient::setLang()</a>, <a class="el" href="group__internal_lang.html#ga2c56528158e1cfc31f84dd03b3ef3464">CASClient::getLang()</a> </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
